# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name:           jgraph
Version:        5.12.2.1
Release:        1%{?dist}
Summary:        JGraph Diagram Component
License:        LGPLv2+
Group:          Development/Libraries/Java
URL:            http://www.jgraph.com/
Source0:        http://downloads.sourceforge.net/sourceforge/jgraph/jgraph-%{version}-lgpl-src.jar
Patch0:         jgraph-5.12.2.1-javadoc-crosslink.patch

BuildRequires:  ant >= 0:1.6
BuildRequires:  java-devel
BuildRequires:  java-javadoc
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  dos2unix

%if %{with_gcj}
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:      noarch
%endif

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
JGraph is the most powerful, lightweight, feature-rich, 
and thoroughly documented open-source graph component 
available for Java. It is accompanied by JGraphpad, the 
first free diagram editor for Java that offers XML, 
Drag and Drop and much more!

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -c
%patch0 -p1
# remove all binary libs
find -type f -name "*.jar" | xargs -t rm
# convert some line endings
dos2unix LICENSE examples/com/jgraph/example/SerialGraph.java

%build
export CLASSPATH=
export OPT_JAR_LIST=:
ant -Dbuild.sysclasspath=only

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# maven
%add_to_maven_depmap com.jgraph %{name} %{version} JPP %{name}

# gcj stuff
%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ] 
then
%{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc LICENSE README WHATSNEW examples/
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%config(noreplace) %{_mavendepmapfragdir}/%{name}
%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Tue Dec 16 2008 Mary Ellen Foster <mefoster at gmail.com> - 5.12.2.1-1
- Import spec file from jpackage
- Updated to latest upstream 5.1.2.1
- Added maven fragments and additional documentation
- Used dos2unix to convert file endings
- Removed Epoch -- not sure if that's kosher or not ...

* Wed Oct 08 2008 David Walluck <dwalluck@redhat.com> 0:5.12.1.0-1
- 5.12.1.0

* Tue Jul 11 2006 Fernando Nasser <fnasser@redhat.com> - 0:5.8.2.1-2jpp
- Add missing header

* Wed Jun 07 2006 Ralph Apel <r.apel at r-apel.de> - 0:5.8.2.1-1jpp
- First JPackage release

* Tue May 03 2005 Ralph Apel <r.apel at r-apel.de> - 0:5.4.7-1jpp
- First JPackage release

